org.apache.ignite.internal.processors.cache.persistence.defragmentation

## Class IgniteDefragmentation.DefragmentationStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.defragmentation.IgniteDefragmentation.DefragmentationStatus

Enclosing interface:
  IgniteDefragmentation

    public static class IgniteDefragmentation.DefragmentationStatus
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DefragmentationStatus(Map<String,IgniteDefragmentation.CompletedDefragmentationInfo> completedCaches, Map<String,IgniteDefragmentation.InProgressDefragmentationInfo> inProgressCaches, Set<String> awaitingCaches, Set<String> skippedCaches, int totalPartitions, int processedPartitions, long startTs, long totalElapsedTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `getAwaitingCaches()`
`Map<String,IgniteDefragmentation.CompletedDefragmentationInfo>` `getCompletedCaches()`
`Map<String,IgniteDefragmentation.InProgressDefragmentationInfo>` `getInProgressCaches()`
`int` `getProcessedPartitions()`
`Set<String>` `getSkippedCaches()`
`long` `getStartTs()`
`long` `getTotalElapsedTime()`
`int` `getTotalPartitions()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefragmentationStatus

    public DefragmentationStatus(Map<String,IgniteDefragmentation.CompletedDefragmentationInfo> completedCaches,
                                 Map<String,IgniteDefragmentation.InProgressDefragmentationInfo> inProgressCaches,
                                 Set<String> awaitingCaches,
                                 Set<String> skippedCaches,
                                 int totalPartitions,
                                 int processedPartitions,
                                 long startTs,
                                 long totalElapsedTime)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getCompletedCaches

    public Map<String,IgniteDefragmentation.CompletedDefragmentationInfo> getCompletedCaches()

#### getInProgressCaches

    public Map<String,IgniteDefragmentation.InProgressDefragmentationInfo> getInProgressCaches()

#### getAwaitingCaches

    public Set<String> getAwaitingCaches()

#### getSkippedCaches

    public Set<String> getSkippedCaches()

#### getTotalElapsedTime

    public long getTotalElapsedTime()

#### getTotalPartitions

    public int getTotalPartitions()

#### getProcessedPartitions

    public int getProcessedPartitions()

#### getStartTs

    public long getStartTs()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023